Package org.eclipse.gef.ui.actions

# Class MatchSizeAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.actions.WorkbenchPartAction
org.eclipse.gef.ui.actions.SelectionAction
org.eclipse.gef.ui.actions.MatchSizeAction

All Implemented Interfaces:
  `Disposable`, `UpdateAction`, `IAction`

Direct Known Subclasses:
  `MatchHeightAction`, `MatchWidthAction`

public class MatchSizeAction extends SelectionAction
An action that matches the size of all selected EditPart's Figures to the size of the Primary Selection EditPart's Figure.

Since:
  3.7

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`MatchSizeAction(IWorkbenchPart part)`
Constructs a `MatchSizeAction` and associates it with the given part.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`calculateEnabled()`
Calculates and returns the enabled state of this action.
`protected double`
`getPreciseHeightDelta(org.eclipse.draw2d.geometry.PrecisionRectangle precisePartBounds, org.eclipse.draw2d.geometry.PrecisionRectangle precisePrimaryBounds)`
Returns the height delta between the two bounds.
`protected double`
`getPreciseWidthDelta(org.eclipse.draw2d.geometry.PrecisionRectangle precisePartBounds, org.eclipse.draw2d.geometry.PrecisionRectangle precisePrimaryBounds)`
Returns the width delta between the two bounds.
`void`
`run()`
Executes this action, cycling through the selected EditParts in the Action's viewer, and matching the size of the selected EditPart's Figures to that of the Primary Selection's Figure.

### Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction

`dispose, getSelectedEditParts, getSelectedObjects, getSelection, handleSelectionChanged, setSelection, setSelectionProvider, update`

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatchSizeAction

public MatchSizeAction(IWorkbenchPart part)
Constructs a `MatchSizeAction` and associates it with the given part.

Parameters:
  `part` - The workbench part associated with this MatchSizeAction

## Method Details

### calculateEnabled

protected boolean calculateEnabled()
Description copied from class: `WorkbenchPartAction`
Calculates and returns the enabled state of this action.

Specified by:
  `calculateEnabled` in class `WorkbenchPartAction`
Returns:
  `true` if the action is enabled
See Also:
  - `WorkbenchPartAction.calculateEnabled()`

### getPreciseHeightDelta

protected double getPreciseHeightDelta(org.eclipse.draw2d.geometry.PrecisionRectangle precisePartBounds, org.eclipse.draw2d.geometry.PrecisionRectangle precisePrimaryBounds)
Returns the height delta between the two bounds. Separated into a method so that it can be overwritten to return 0 in the case of a width-only action.

Parameters:
  `precisePartBounds` - the precise bounds of the EditPart's Figure to be matched
  `precisePrimaryBounds` - the precise bounds of the Primary Selection EditPart's Figure
Returns:
  the delta between the two heights to be used in the Request.

### getPreciseWidthDelta

protected double getPreciseWidthDelta(org.eclipse.draw2d.geometry.PrecisionRectangle precisePartBounds, org.eclipse.draw2d.geometry.PrecisionRectangle precisePrimaryBounds)
Returns the width delta between the two bounds. Separated into a method so that it can be overriden to return 0 in the case of a height-only action.

Parameters:
  `precisePartBounds` - the precise bounds of the EditPart's Figure to be matched
  `precisePrimaryBounds` - the precise bounds of the Primary Selection EditPart's Figure
Returns:
  the delta between the two widths to be used in the Request.

### run

public void run()
Executes this action, cycling through the selected EditParts in the Action's viewer, and matching the size of the selected EditPart's Figures to that of the Primary Selection's Figure.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`